#
# spec file for package unixODBC-gui-qt (Version 2.2.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db1 db1-devel desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf gdbm gdbm-devel gettext gettext-devel giflib giflib-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gnome-libs gnome-libs-devel gpm grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libxml libxml-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg oaf openldap2-client openmotif-libs openssl orbit orbit-devel pam pam-modules patch perl permissions popt popt-devel procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           unixODBC-gui-qt
BuildRequires:  db1-devel esound-devel gconf giflib-devel gnome-libs-devel libdrm-devel libtiff-devel libxml-devel qt3-devel update-desktop-files
Version:        2.2.11
Release:        22.4
Summary:        ODBC Configuration  Utility, Data Source Browser, and ODBC Test Tool based
License:        GPL
URL:            http://www.unixodbc.org/
Group:          Productivity/Databases/Tools
Requires:       unixODBC = %{version}
Autoreqprov:    on
Source:         unixODBC-%{version}.tar.bz2
Source1:        README.SuSE
Source4:        gODBCConfig.desktop
Patch:          unixODBC-%{version}.patch
Patch1:         unixODBC-paths.patch
Patch2:         unixODBC-gODBCConfig.patch
Patch3:         unixODBC-qt-dirs.patch
Patch4:         unixODBC-odbctest.patch
Patch5:         unixODBC-iaddr.patch
Patch6:         unixODBC-nonvoid.patch
Patch7:         unixODBC-gccwarnings.patch
Patch8:         unixODBC-%{version}-dm.patch
# this is applied in %%build
Patch9:         unixODBC-%{version}-dlopen.patch
Patch10:        unixODBC-%{version}-libodbcinst-exports.patch
Patch11:        unixODBC-%{version}-flex.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package -n unixODBC-gui-gtk
Summary:        An ODBC Configuration Utility based on GTK+ and the GTK+ Widget for Gnome-db
Group:          Productivity/Databases/Tools
Autoreqprov:    on
Requires:       unixODBC = %{version}

%description
A collection of graphical tools (based on QT3) for UnixODBC.



Authors:
--------
    Peter Harvey <pharvey@codebydesigns.com>
    Nick Gorham <nick@easysoft.com>


%description -n unixODBC-gui-gtk
UnixODBC aims to provide a complete ODBC solution for the Linux
platform.



Authors:
--------
    Peter Harvey <pharvey@codebydesigns.com>
    Nick Gorham <nick@easysoft.com>

%prep
%setup -q -n unixODBC-%{version}
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
#patch8 -p1
# %%patch9 is in %%build
%patch10
%patch11
install -m 644 %{S:1} .

%build
export -n LANG LINGUAS LC_ALL 
autoreconf --force --install
patch -p0 <"%{P:9}"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" 
./configure \
	    --prefix=%{_prefix} \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --libdir=%{_libdir} \
	    --sysconfdir=%{_sysconfdir}/unixODBC \
	    --with-qt-dir=/usr/lib/qt3 \
	    --with-qt-libraries=/usr/lib/qt3/%{_lib} \
	    --disable-stats
	    
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
cd gODBCConfig
autoreconf -I /opt/gnome/share/aclocal --force --install
test ! -f po/Makevars.template || mv po/Makevars.template po/Makevars
./configure --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir}/unixODBC \
    --libdir=%{_libdir} \
    --with-odbc=$PWD/.. \
    --with-odbc-libs=$PWD/../odbcinst
make CFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd gODBCConfig
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i gODBCConfig System SystemSetup
rm -rf $RPM_BUILD_ROOT/usr/share/libtool
#remove files packaged in main specfile
rm -f $RPM_BUILD_ROOT/etc/unixODBC/odbc.ini
rm -f $RPM_BUILD_ROOT/etc/unixODBC/odbcinst.ini
rm -f $RPM_BUILD_ROOT/usr/bin/dltest
rm -f $RPM_BUILD_ROOT/usr/bin/isql
rm -f $RPM_BUILD_ROOT/usr/bin/iusql
rm -f $RPM_BUILD_ROOT/usr/bin/odbc_config
rm -f $RPM_BUILD_ROOT/usr/bin/odbcinst
rm -f $RPM_BUILD_ROOT/usr/include/autotest.h
rm -f $RPM_BUILD_ROOT/usr/include/odbcconfig.h
rm -f $RPM_BUILD_ROOT/usr/include/odbcinst.h
rm -f $RPM_BUILD_ROOT/usr/include/odbcinstext.h
rm -f $RPM_BUILD_ROOT/usr/include/sql.h
rm -f $RPM_BUILD_ROOT/usr/include/sqlext.h
rm -f $RPM_BUILD_ROOT/usr/include/sqltypes.h
rm -f $RPM_BUILD_ROOT/usr/include/sqlucode.h
rm -f $RPM_BUILD_ROOT/usr/include/uodbc_stats.h
rm -f $RPM_BUILD_ROOT/usr/%_lib/libboundparam.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/libgtrtst.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/libodbc.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/libodbccr.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/libodbcinst.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/libtemplate.*
rm -rf $RPM_BUILD_ROOT/usr/%_lib/unixODBC

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%{_prefix}/bin/DataManager
%{_prefix}/bin/DataManagerII
%{_prefix}/bin/ODBCConfig
%{_prefix}/bin/qtodbctest
%{_libdir}/libodbcinstQ.*

%files -n unixODBC-gui-gtk
%defattr(-, root, root)
/usr/share/applications/gODBCConfig.desktop
%{_prefix}/bin/gODBCConfig
%{_libdir}/libgtkodbcconfig*
%{_libdir}/libmimerS.*
/opt/gnome/share/pixmaps/gODBCConfig/

%changelog -n unixODBC-gui-qt
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - ro@suse.de
- split specfile for gui packages
